#ifndef __NRF_TONE_H__
#define __NRF_TONE_H__

#include <stdbool.h>
#include <stdint.h>

// Set this to 1 if the application uses a SoftDevice, 0 otherwise
#define USE_WITH_SOFTDEVICE     1

#define MASTER_CLOCK  16000000      //horloge principale ( 16 Mhz )
#define PRESCAL    	0

// To change the timer used for the PWM library replace the three defines below
#define PWM_TIMER               NRF_TIMER2
#define PWM_IRQHandler          TIMER2_IRQHandler
#define PWM_IRQn                TIMER2_IRQn
#define PWM_IRQ_PRIORITY        2

#define MELODY_MAX_SIZE					100



uint32_t nrf_tone_init(void);
uint32_t play(uint32_t melody[], float beats[],uint32_t size,uint16_t tempo);
uint32_t tone(uint32_t freq, uint32_t duration);


#endif
